Skip to content

RStan Transition Periods

bgoodri edited this page Sep 12, 2016 · 9 revisions

The rstan package depends on the StanHeaders package. When there is a new Stan release, the StanHeaders package is uploaded to CRAN first, which may mean that it is incompatible with the version of rstan on CRAN. Recent versions of R should state that there is a newer version of rstan available and ask if you would like to install it from source. Choose yes. If that succeeds, you can go on to How to Use RStan. If that fails, you can either downgrade your StanHeaders from archived CRAN sources or upgrade your rstan using a provisional version of the package(s).

Downgrading StanHeaders

install.packages("https://cran.r-project.org/src/contrib/Archive/StanHeaders/StanHeaders_2.11.0.tar.gz", 
                 repos = NULL)

At this point, the old version of rstan on CRAN should work but you probably want to upgrade to the new version of rstan when it becomes available on CRAN in a few days.

Upgrading rstan with the provisional binary

install.packages("http://win-builder.r-project.org/e5C5RDVPla4b/StanHeaders_2.12.0.zip", 
                 repos = NULL)
install.packages("http://win-builder.r-project.org/x4IvqErKI19L/rstan_2.12.1.zip", 
                 repos = NULL, dependencies = TRUE)
You can’t perform that action at this time.